%global	gem_name	xml-simple

Name:		rubygem-%{gem_name}
Version:	1.1.9
Release:    1%{?dist}

Summary:	A simple API for XML processing
License:	MIT

URL:		https://github.com/maik/xml-simple
Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:	%{gem_name}-tests-%{version}.tar.gz
Source2:	create-xml-simple-test-suite.sh

BuildRequires:	ruby(release)
BuildRequires:	rubygems-devel
BuildRequires:	ruby
BuildRequires:	rubygem(rexml)
BuildRequires:	rubygem(test-unit)

BuildArch:	noarch

%description
A simple API for XML processing.

%package	doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version} -a 1
mv ../%{gem_name}-%{version}.gemspec .

%build
gem build %{gem_name}-%{version}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
	%{buildroot}%{gem_dir}/

%check
cp -a test .%{gem_instdir}
pushd .%{gem_instdir}

grep -l backwards test/tc_*.rb | \
	xargs sed -i '\@backwards@s|raise|#raise|'

ruby -Ilib test/tc_perl_in.rb
mv test/tc_perl_in.rb{,.bak}
ruby -Ilib -e 'Dir.glob "./test/*.rb", &method(:require)'
mv test/tc_perl_in.rb{.bak,}
popd

%files
%dir	%{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc	%{gem_docdir}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.9-1
- initial build
